"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable import/no-default-export */
const path_1 = tslib_1.__importDefault(require("path"));
const safe_resolve_1 = tslib_1.__importDefault(require("safe-resolve"));
function default_1(modules) {
    return {
        name: 'internal',
        options(options) {
            modules = modules.map(safe_resolve_1.default).filter(Boolean);
            return Object.assign({}, options, { external: (source, importer, isResolved) => {
                    const resolvedPath = safe_resolve_1.default(source);
                    if (resolvedPath) {
                        const resolvedDirname = path_1.default.dirname(resolvedPath);
                        const isMarkedInternal = modules.some(idx => resolvedDirname.startsWith(path_1.default.dirname(idx)));
                        if (isMarkedInternal) {
                            return false;
                        }
                    }
                    /**
                     * otherwise, just resolve the existing `external` rules
                     */
                    if (typeof options.external === 'function') {
                        return options.external(source, importer, isResolved);
                    }
                    if (Array.isArray(options.external)) {
                        return options.external.includes(source);
                    }
                } });
        },
    };
}
exports.default = default_1;
//# sourceMappingURL=index.js.map